# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#
# This Source Code Form is "Incompatible With Secondary Licenses", as
# defined by the Mozilla Public License, v. 2.0.

# This file contains a single hash named %strings, which is used by the
# installation code to display strings before Template-Toolkit can safely
# be loaded.
#
# Each string supports a very simple substitution system, where you can
# have variables named like ##this## and they'll be replaced by the string
# variable with that name.
#
# Please keep the strings in alphabetical order by their name.

%strings = (
    any  => 'beliebig',
    apachectl_failed => <<END,
WARNUNG: Die Apache-Konfiguration konnte nicht ueberprueft werden. Falls Sie
checksetup.pl nicht alls ##root## ausfuehren, koennte das der Grund sein.
Folgender Befehl sollte die Fehlermeldung zeigen: ##command##
END
    bad_executable => 'keine gueltige ausfuehrbare Datei: ##bin##',
    blacklisted => '(auf der schwarzen Liste)',
    bz_schema_exists_before_220 => <<'END',
Sie aktualisieren von einer Version vor 2.20, aber die Tabelle bz_schema
existiert bereits. Das bedeutet, dass jemand irgendwann einen mysqldump in die
Datenbank hat laufen lassen, ohne zuvor die existierende Datenbank zu
entfernen. Wann immer Sie eine Datenbanksicherung rueckspielen, muessen Sie
immer zuerst die existierende Bugzilla-Datenbank entfernen.

Bitte entfernen Sie Ihre Bugzilla-Datenbank und spielen Sie dann eine Sicherung
zurueck, die die Tabelle bz_schema nicht enthaelt. Wenn Sie das aus irgendeinem
Grund nicht tun koennen, entfernen Sie als Notloesung die Tabelle bz_schema.
END
    checking_for => 'Ueberpruefe auf',
    checking_dbd      => 'Ueberpruefe verfuegbare Perl-DBD-Module...',
    checking_optional => 'Die folgenden Perl-Module sind optional:',
    checking_modules  => 'Ueberpruefe Perl-Module...',
    chmod_failed      => '##path##: Fehler beim Aendern der Zugriffsberechtigung: ##error##',
    chown_failed      => '##path##: Fehler beim Aendern der Inhaberschaft: ##error##',
    commands_dbd      => <<EOT,
SIE MUESSEN EINES DER FOLGENDEN KOMMANDOS AUSFUEHREN LASSEN (abhaengig davon,
welche Datenbank Sie verwenden):
EOT
    commands_optional => 'KOMMANDOS ZUR INSTALLATION OPTIONALER MODULE:',
    commands_required => <<EOT,
KOMMANDOS ZUR INSTALLATION BENOETIGTER MODULE (Sie *muessen* all diese
Kommandos ausfuehren, und dann checksetup.pl erneut laufen lassen):
EOT
    continue_without_answers => <<'END',
Re-run checksetup.pl in interactive mode (without an 'answers' file)
to continue.
END
    cpan_bugzilla_home =>
        "WARNUNG: Das Bugzilla-Verzeichnis wird als CPAN-Home verwendet.",
    db_enum_setup  => "Lege Werte fuer Standard-Auswahlfelder an:",
    db_schema_init => "Initialisiere bz_schema...",
    db_table_new   => "Lege Tabelle ##table## an...",
    db_table_setup => "Lege Tabellen an...",
    done => 'erledigt.',
    enter_or_ctrl_c => "Druecken Sie Enter, um fortzusetzen, oder Strg-C zum Abbrechen...",
    error_localconfig_read => <<'END',
Ein Fehler ist beim Lesen der ##localconfig##-Datei aufgetreten. Der Text der
Fehlermeldung lautet:

##error##

Bitte reparieren Sie diesen Fehler in der ##localconfig##-Datei. Sie koennen
alternativ auch die ##localconfig##-Datei umbenennen und checksetup.pl erneut
ausfuehren, um sie neu anlegen zu lassen:

  $ mv -f localconfig localconfig.old
  $ ./checksetup.pl
END
    extension_must_return_name => <<END,
##file## gab ##returned## zurueck, was keine gueltige Bezeichnung fuer eine
Erweiterung ist.
Erweiterungen muessen ihre Bezeichnung zurueckgeben, nicht 1 oder eine andere
Zahl.
Bitte beachten Sie die Dokumentation von Bugzilla::Extension fuer Details.
END
    feature_auth_ldap         => 'LDAP-Authentifizierung',
    feature_auth_radius       => 'RADIUS-Authentifizierung',
    feature_documentation     => 'Dokumentation',
    feature_graphical_reports => 'Grafische Berichte',
    feature_html_desc         => 'Mehr HTML in Produkt- und Gruppenbeschreibungen',
    feature_inbound_email     => 'Eingehende E-Mail',
    feature_jobqueue          => 'Mailversand-Queue',
    feature_jsonrpc           => 'JSON-RPC-Schnittstelle',
    feature_new_charts        => 'Neue Grafiktechnik',
    feature_old_charts        => 'Alte Grafiktechnik',
    feature_memcached         => 'Memcached-Arbeitsspeicherpufferung',
    feature_mod_perl          => 'mod_perl',
    feature_moving            => 'Bugs zwischen Installationen transferieren',
    feature_patch_viewer      => 'Patch-Betrachter',
    feature_rest              => 'REST-Schnittstelle',
    feature_smtp_auth         => 'SMTP-Authentifizierung',
    feature_smtp_ssl          => 'SSL-Unterstuetzung fuer SMTP',
    feature_updates           => 'Automatische Update-Benachrichtigungen',
    feature_xmlrpc            => 'XML-RPC-Schnittstelle',
    feature_detect_charset    => 'Automatische Bestimmung der Zeichensatzkodierung von Anhaengen',
    feature_typesniffer       => 'Automatische Bestimmung des MIME-Inhaltstyps von Anhaengen',

    file_remove => 'Entferne ##name##...',
    file_rename => 'Benenne ##from## in ##to## um...',
    header => "* Dies ist Bugzilla ##bz_ver## mit Perl ##perl_ver##\n"
            . "* auf ##os_name## ##os_ver##",
    install_all => <<EOT,

Um eine automatische Installation aller benoetigten und optionalen Module
zu versuchen, geben Sie folgenden Befehl ein:

  ##perl## install-module.pl --all

EOT
    install_data_too_long => <<EOT,
WARNUNG: Manche der Eintraege in der Tabellenspalte ##table##.##column## sind
laenger als die neue Maximallaenge von ##max_length## Zeichen. Die zu kuerzenden
Daten sind im Folgenden aufgefuehrt, mit dem Wert der Spalte ##id_column##
zuerst, und dahinter dem zu kuerzenden Wert der Spalte ##column##:

EOT
    install_module => 'Installiere ##module##, Version ##version##...',
    installation_failed => '*** Installation fehlgeschlagen. Bitte beachten Sie obige Meldungen. ***',
    install_no_compiler => <<END,
FEHLER: Wenn Sie install-module.pl benutzen moechten, benoetigen Sie einen
Compiler, wie beispielsweise gcc.
END
    install_no_make => <<END,
FEHLER: Wenn Sie install-module.pl benutzen moechten, benoetigen Sie "make".
END
    lc_new_vars => <<'END',
Diese Version von Bugzilla enthaelt Variablen, die Sie moeglicherweise aendern
und auf Ihre lokalen Gegebenheiten anpassen wollen. Die folgenden Variablen
sind seit dem letzten Lauf von checksetup.pl neu zu ##localconfig##
hinzugekommen:

##new_vars##

Bitte editieren Sie die Datei ##localconfig## und lassen Sie dann checksetup.pl
erneut laufen, um die Installation abzuschliessen.
END
    lc_old_vars => <<'END',
Die folgenden Variablen werden nicht mehr in ##localconfig## benoetigt und
sind nach ##old_file## verschoben: ##vars##
END
    localconfig_create_htaccess => <<'END',
Wenn Sie Apache als Webserver einsetzen, dann kann Bugzilla .htaccess-Dateien
für Sie generieren, die diese Datei (localconfig) und andere vertrauliche
Dateien vor Zugriffen über das Web schützen.

Wenn diese Variable den Wert 1 hat, wird checksetup.pl .htaccess-Dateien für
Sie erzeugen, falls sie noch nicht existieren.

Wenn diese Variable den Wert 0 hat, wird checksetup.pl keine .htaccess-Dateien
erzeugen.
END
    localconfig_db_check => <<'END',
Soll checksetup.pl versuchen, zu überprüfen, ob Ihre Datenbank korrekt
eingerichtet ist? Bei bestimmten Kombinationen aus Datenbankserver, Perl-
Modulen und Mondphase funktioniert dies nicht, so dass checksetup.pl abbricht.
Daher können Sie die Überprüfung hier abschalten, indem Sie den Wert auf 0
setzen.
END
    localconfig_db_driver => <<'END',
Welche SQL-Datenbank benutzt werden soll. Standard ist mysql. Sie können
ermitteln, welche Datenbanken unterstützt werden, indem Sie den Inhalt des
Verzeichnisses Bugzilla/DB/ ansehen - jedes Modul entspricht einer
unterstützten Datenbank. Die Namen der Module (vor ".pm") entsprechen den für
diese Variable gültigen Werten.
END
    localconfig_db_host => <<'END',
Der DNS-Name oder die IP-Adresse des Hosts, auf dem der Datenbankserver läuft.
END
    localconfig_db_name => <<'END',
Der Name der Datenbank. Für Oracle ist dies die SID der Datenbank. Für
SQLite ist dies der Name (oder der Pfad) der Datenbankdatei.
END
    localconfig_db_pass => <<'END',
Geben Sie hier das Passwort zur Datenbank ein. Es ist normalerweise ratsam,
die Datenbank mit einem Passwort zu schützen.
Wenn das Passwort ein Apostroph (') oder einen rückwärtigen Schrägstrich (\)
enthält, dann müssen Sie hier jeweils ein '\' voransetzen (also z. B. \').
END
    localconfig_db_port => <<'END',
Manche Datenbankserver sind zur Nutzung eines Nicht-Standard-Ports
konfiguriert. Wenn das auf Ihren Datenbankserver zutrifft, dann geben Sie hier
die Portnummer Ihres Datenbankservers an. Der Wert 0 lässt Bugzilla den
Standard-Port des Datenbankservers verwenden.
END
    localconfig_db_sock => <<'END',
Nur für MySQL: Geben Sie hier den Pfad zum UNIX-Socket für MySQL an. Wenn
leer, dann wird der in MySQL einkompilierte Standard verwendet. Das ist
normalerweise richtig.
END
    localconfig_db_user => "Das Benutzerkonto zur Anmeldung bei der Datenbank.",
    localconfig_db_mysql_ssl_ca_file => <<'END',
Pfad zu einer PEM-Datei mit einer Liste vertrauter SSL-CA-Zertifikate.
Die Datei muss für das Webserver-Benutzerkonto lesbar sein.
END
    localconfig_db_mysql_ssl_ca_path => <<'END',
Pfad zu einem Verzeichnis mit vertrauten SSL-CA-Zertifikate im PEM-Format.
Das Verzeichnis und die enthaltenen Dateien müssen für das
Webserver-Benutzerkonto lesbar sein.
END
    localconfig_db_mysql_ssl_client_cert => <<'END',
Vollqualifizierter Pfad zu dem SSL-Zertifikat im PEM-Format, mit dem wir uns
gegenüber dem Datenbankserver ausweisen.
Die Datei muss für das Webserver-Benutzerkonto lesbar sein.
END
    localconfig_db_mysql_ssl_client_key => <<'END',
Vollqualifizierter Pfad zu dem privaten Schlüssel, der zu dem Ausweiszertifikat
gehört.
Die Datei darf nicht passwortgeschützt sein und muss für das
Webserver-Benutzerkonto lesbar sein.
END
    localconfig_diffpath => <<'END',
For the "Difference Between Two Patches" feature to work, we need to know
what directory the "diff" bin is in. (You only need to set this if you
are using that feature of the Patch Viewer.)
END
    localconfig_index_html => <<'END',
Most web servers will allow you to use index.cgi as a directory
index, and many come preconfigured that way, but if yours doesn't
then you'll need an index.html file that provides redirection
to index.cgi. Setting $index_html to 1 below will allow
checksetup.pl to create an index.html for you if it doesn't exist.
NOTE: checksetup.pl will not replace an existing file, so if you
      wish to have checksetup.pl create one for you, you must
      make sure that index.html doesn't already exist.
END
    localconfig_interdiffbin => <<'END',
If you want to use the "Difference Between Two Patches" feature of the
Patch Viewer, please specify the full path to the "interdiff" executable
here.
END
    localconfig_site_wide_secret => <<'END',
This secret key is used by your installation for the creation and
validation of encrypted tokens. These tokens are used to implement
security features in Bugzilla, to protect against certain types of attacks.
A random string is generated by default. It's very important that this key
is kept secret. It also must be very long.
END
    localconfig_use_suexec => <<'END',
Set this to 1 if Bugzilla runs in an Apache SuexecUserGroup environment.

If your web server runs control panel software (cPanel, Plesk or similar),
or if your Bugzilla is to run in a shared hosting environment, then you are
almost certainly in an Apache SuexecUserGroup environment.

If this is a Windows box, ignore this setting, as it does nothing.

If set to 0, checksetup.pl will set file permissions appropriately for
a normal webserver environment.

If set to 1, checksetup.pl will set file permissions so that Bugzilla
works in a SuexecUserGroup environment.
END
    localconfig_webservergroup => <<'END',
The name of the group that your web server runs as. On Red Hat
distributions, this is usually "apache". On Debian/Ubuntu, it is
usually "www-data".

If you have use_suexec turned on below, then this is instead the name
of the group that your web server switches to to run cgi files.

If this is a Windows machine, ignore this setting, as it does nothing.

If you do not have access to the group your scripts will run under,
set this to "". If you do set this to "", then your Bugzilla installation
will be _VERY_ insecure, because some files will be world readable/writable,
and so anyone who can get local access to your machine can do whatever they
want. You should only have this set to "" if this is a testing installation
and you cannot set this up any other way. YOU HAVE BEEN WARNED!

If you set this to anything other than "", you will need to run checksetup.pl
as ##root## or as a user who is a member of the specified group.
END
    max_allowed_packet => <<EOT,
WARNUNG: Sie muessen den max_allowed_packet-Parameter Ihrer MySQL-
Installation auf mindestens ##needed## setzen. Derzeit hat er den Wert
##current##. Sie koennen diesen Parameter im Abschnitt [mysqld] Ihrer MySQL-
Konfigurationsdatei pflegen.
EOT
    min_version_required => "Mindestens benoetigte Version: ",

# Note: When translating these "modules" messages, don't change the formatting
# if possible, because there is hardcoded formatting in
# Bugzilla::Install::Requirements to match the box formatting.
    modules_message_apache => <<END,
***********************************************************************
* APACHE-MODULE                                                       *
***********************************************************************
* Bestimmte Apache-Module erlauben Bugzilla erweiterte Funktionen.    *
* Diese Module können in der Apache-Konfigurationsdatei aktiviert     *
* werden (ueblicherweise httpd.conf oder apache2.conf).               *
* - mod_headers, mod_env und mod_expires erlauben ein automatisches   *
*   Auffrischen des Webbrowser-Cache Ihrer Benutzer, wenn Bugzilla    *
*   aktualisiert wird.                                                *
* - mod_rewrite erlaubt kürzere URLs für die REST-API.                *
* - mod_version erlaubt für Apache 2.2 oder 2.4 zulässige             *
*   .htaccess-Regeln.                                                 *
* Folgende Module müssen hierzu aktiviert werden:                     *
*                                                                     *
END
    modules_message_db => <<EOT,
***********************************************************************
* DATENBANKZUGRIFF                                                    *
***********************************************************************
* Bugzilla benoetigt zum Zugriff auf Ihre Datenbank das zu Ihrer      *
* Datenbank passende DBD-Modul. Im Folgenden finden Sie das korrekte  *
* Kommando, um das zu Ihrer Datenbank passende Modul zu installieren. *
EOT
    modules_message_optional => <<EOT,
***********************************************************************
* OPTIONALE MODULE                                                    *
***********************************************************************
* Einige Perl-Module benoetigt Bugzilla zwar nicht, Sie koennen aber  *
* zusaetzliche Funktionalitaeten aktivieren, wenn Sie sie             *
* installieren.                                                       *
*                                                                     *
* Nichtinstallierte optionale Module sind im Folgenden aufgelistet,   *
* mit der Bezeichnung der Funktionalitaet, die sie aktivieren.        *
* Darunter finden Sie die Kommandos, mit denen Sie die Module         *
* installieren koennen.                                               *
EOT
    modules_message_required => <<EOT,
***********************************************************************
* BENOETIGTE MODULE                                                   *
***********************************************************************
* Bugzilla erfordert einige Perl-Module, die derzeit entweder nicht   *
* installiert sind, oder in einer zu alten Version installiert sind.  *
* Im Folgenden finden Sie die Kommandos, mit denen Sie die Module     *
* installieren koennen.                                               *
EOT

    module_found => "v##ver## gefunden",
    module_not_found => "nicht gefunden",
    module_ok => 'in Ordnung',
    module_unknown_version => "unbekannte Version gefunden",
    no_such_module => "Es gibt bei CPAN kein Modul namens ##module##.",
    mysql_innodb_disabled => <<'END',
InnoDB ist in Ihrer MySQL-Installation deaktiviert.
Bugzilla erfordert, dass InnoDB aktiviert ist.
Bitte aktivieren Sie es und lassen Sie dann checksetup.pl erneut laufen.
END
    mysql_index_renaming => <<'END',
We are about to rename old indexes. The estimated time to complete
renaming is ##minutes## minutes. You cannot interrupt this action once
it has begun. If you would like to cancel, press Ctrl-C now...
(Waiting 45 seconds...)
END
    mysql_utf8_conversion => <<'END',
WARNING: We are about to convert your table storage format to UTF-8. This
         allows Bugzilla to correctly store and sort international characters.
         However, if you have any non-UTF-8 data in your database,
         it ***WILL BE DELETED*** by this process. So, before
         you continue with checksetup.pl, if you have any non-UTF-8
         data (or even if you're not sure) you should press Ctrl-C now
         to interrupt checksetup.pl, and run contrib/recode.pl to make all
         the data in your database into UTF-8. You should also back up your
         database before continuing. This will affect every single table
         in the database, even non-Bugzilla tables.

         If you ever used a version of Bugzilla before 2.22, we STRONGLY
         recommend that you stop checksetup.pl NOW and run contrib/recode.pl.
END
    no_checksetup_from_cgi => <<END,
<!DOCTYPE html>
<html>
  <head>
    <title>checksetup.pl cannot run from a web browser</title>
  </head>

  <body>
    <h1>checksetup.pl cannot run from a web browser</h1>
    <p>
      You <b>must not</b> execute this script from your web browser.
      To install or upgrade Bugzilla, run this script from
      the command-line (e.g. <kbd>bash</kbd> or <kbd>ssh</kbd> on Linux
      or <kbd>cmd.exe</kbd> on Windows), and follow instructions given there.
    </p>

    <p>
      For more information on how to install Bugzilla, please
      <a href="http://www.bugzilla.org/docs/">read the documentation</a>
      available on the official Bugzilla website.
    </p>
  </body>
</html>
END
    patchutils_missing => <<'END',
HINWEIS: Wenn Sie die Funktionalitaet "Unterschied zwischen zwei Patches"
nutzen wollen (die zudem das Perl-Modul PatchReader erfordert), dann sollten
Sie "patchutils" installieren, von dieser Quelle:

    http://cyberelk.net/tim/software/patchutils/
END
    template_precompile   => "Kompiliere Templates vor...",
    template_removal_failed => <<END,
WARNUNG: Das Verzeichnis '##template_cache##' konnte nicht geloescht werden.
         Es wurde nach '##deleteme##' verschoben und sollte manuell
         geloescht werden, um Festplattenplatz zurueckzugewinnen.
END
    template_removing_dir => "Entferne vorkompilierte Templates...",
    update_cf_invalid_name =>
        "Removing custom field '##field##', because it has an invalid name...",
    update_flags_bad_name => <<'END',
"##flag##" is not a valid name for a flag. Rename it to not have any spaces
or commas.
END
    update_nomail_bad => <<'END',
WARNING: The following users were listed in ##data##/nomail, but do
not have an account here. The unmatched entries have been moved to
##data##/nomail.bad:
END
    update_summary_truncate_comment =>
        "The original value of the Summary field was longer than 255"
        . " characters, and so it was truncated during an upgrade."
        . " The original summary was:\n\n##summary##",
    update_summary_truncated => <<'END',
WARNING: Some of your bugs had summaries longer than 255 characters.
They have had their original summary copied into a comment, and then
the summary was truncated to 255 characters. The affected bug numbers were:
END
    update_quips => <<'END',
Quips are now stored in the database, rather than in an external file.
The quips previously stored in ##data##/comments have been copied into
the database, and that file has been renamed to ##data##/comments.bak
You may delete the renamed file once you have confirmed that all your
quips were moved successfully.
END
    update_queries_to_tags => "Fuelle die neue Tabelle 'tag':",
    webdot_bad_htaccess => <<END,
WARNING: Dependency graph images are not accessible.
Delete ##dir##/.htaccess and re-run checksetup.pl.
END
);

1;
